function [pts, inds] = filterxyz(pts, lims)
inds = pts(1, :) >= lims(1) & ...
    pts(1, :) <= lims(2) & ...
    pts(2, :) >= lims(3) & ...
    pts(2, :) <= lims(4) & ...
    pts(3, :) >= lims(5) & ...
    pts(3, :) <= lims(6);
pts = pts(:, inds);